{
  "schema_version": "1.4.0",
  "id": "GHSA-vm3p-xfv5-m8r3",
  "modified": "2022-05-24T17:07:27Z",
  "published": "2022-05-24T17:07:27Z",
  "aliases": [
    "CVE-2019-20423"
  ],
  "details": "In the Lustre file system before 2.12.3, the ptlrpc module has a buffer overflow and panic due to the lack of validation for specific fields of packets sent by a client. The function target_handle_connect() mishandles a certain size value when a client connects to a server, because of an integer signedness error.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-20423"
    },
    {
      "type": "WEB",
      "url": "https://jira.whamcloud.com/browse/LU-12605"
    },
    {
      "type": "WEB",
      "url": "https://review.whamcloud.com/#/c/35935"
    },
    {
      "type": "WEB",
      "url": "http://lustre.org"
    },
    {
      "type": "WEB",
      "url": "http://wiki.lustre.org/Lustre_2.12.3_Changelog"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2020-01-27T05:15:00Z"
  }
}